Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82867 - Large number of files opened by Eclipse (~800 sometimes)
Summary: Large number of files opened by Eclipse (~800 sometimes)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: Platform
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact: eclipse-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-27 22:56 UTC by Rick Moseley
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-02 21:42:18 UTC


Attachments (Terms of Use)

Description Rick Moseley 2003-01-27 22:56:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When Eclipse is active, perform the following command:

lsof | grep java | wc -l

This counts the number of files open by java.  I have seen this number range
from 670 to alomost 800 files opened by java.  This seems to me to be a little
excessive and probably contributes to the slowness when Eclpse is started and
probably adds to huge amount of memory Eclipse uses.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start eclipse
2.lsof | grep java | wc -l
3.
    

Actual Results:  It shows that Eclipse has opened between 650 and 800 files.

Expected Results:  This bug is being added as something to look at when eclipse
performance issues are being looked at.

Additional info:

Comment 1 Rick Moseley 2004-12-02 21:42:18 UTC
Current releases seem to have alleviated this problem somewhat.


Note You need to log in before you can comment on or make changes to this bug.